Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.context.event
Class ContextClosedEvent

    java.lang.Object
      java.util.EventObject
          org.springframework.context.ApplicationEvent
              org.springframework.context.event.ApplicationContextEvent
                  org.springframework.context.event.ContextClosedEvent

All Implemented Interfaces:
  Serializable

    public class ContextClosedEvent

extends ApplicationContextEvent

Event raised when an `ApplicationContext` gets closed.

Since:
  12.08.2003
Author:
  Juergen Hoeller
See Also:
  `ContextRefreshedEvent`, Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`ContextClosedEvent(ApplicationContext source)` Creates a new ContextClosedEvent.

Method Summary

Methods inherited from class org.springframework.context.event.ApplicationContextEvent
`getApplicationContext`

Methods inherited from class org.springframework.context.ApplicationEvent
`getTimestamp`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextClosedEvent

    public ContextClosedEvent(ApplicationContext source)

  Creates a new ContextClosedEvent.

  Parameters:
    `source` - the `ApplicationContext` that has been closed (must not be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD